Subject: Re: bug#51262: [PATCH] Don't use color escape sequences in `vc-git-expanded-log-entry'

From: Jan Synáček <[email-masked]>
Date: Tue, 19 Oct 2021 10:15:25 +0200

On Tue, Oct 19, 2021 at 7:16 AM Stefan Kangas <[email-masked]> wrote:
> ...
>
> Could you add some details here, such as what problem it is supposed to
> fix?  How can I reproduce the issue here, starting from emacs -Q?

Sure. Sorry for not doing it earlier. For some reason, I assumed that this was
obvious.

Here's the reproducer (built from the latest commit on the emacs-28 branch):

  1) mkdir /tmp/test
  2) cd /tmp/test/
  3) git init
  4) echo data > file.txt
  5) git add file.txt
  6) git commit -m "first commit"
  7) emacs -Q
  8) <run shell and cd /tmp/test>
  9) <execute C-x v L>
  10) <hit RET on the first commit>

This is what I see on my system (I hope that gmail doesn't remove the escapes):

*  (HEAD -> master)520684e..: Jan Synacek 2021-10-19 first commit
 ^[[33mcommit 520684e773918234874a35738b094ca39b63a822^[ [m
Author: Jan Synacek <[email-masked]>
Date:   Tue Oct 19 10:04:02 2021 +0200

  first commit

It might be dependent on git configuration, but I think it's safe to assume that
there might be escape sequences and simply use --no-color. And that's what
my patch does.

Regards,
-- 
Jan Synáček